.feature {
	float: left;
	width: 790px;
	height: 520px;
	margin-top: 20px;
	margin-bottom: 40px;
	margin-right: 10px;
	position: relative;
	background-size: cover;
	background-color: #fff;
	background-repeat: no-repeat;
	background-position: center center;

	&::before {
		content: '';
		display: block;
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background-color: rgba(0, 0, 0, 0.4);
		opacity: 0;
		transition: opacity 0.3s ease 0s;
		will-change: opacity;
	}

	&:hover::before {
		opacity: 1;
	}

	& .card__caption {
		position: static;
	}

	& .card__title {
		color: #fff;
		padding: 0;
		font-size: 40px;
		line-height: 45px;
		font-weight: 800;
		max-width: 690px;
		margin-top: 20px;

		@media (--tablet-horizontal-max) {
			font-size: 30px;
			line-height: 35px;
			max-width: 610px;
			margin-top: 15px;
		}

		@media (--tablet-vertical-max) {
			margin-top: 0;
		}

		@media (--mobile) {
			font-size: 16px;
			line-height: 20px;
		}
	}

	@media (--tablet-horizontal-max) {
		width: 630px;
		height: 410px;
	}

	@media (--tablet-vertical-max) {
		width: 100%;
		margin-bottom: 0;
	}

	@media (--mobile) {
		float: none;
		height: 275px;
		margin-bottom: 10px;
	}

	&--small {
		width: 100%;
		height: 255px;
		margin-bottom: 10px;
		margin-top: 0;

		@media (--tablet-horizontal-max) {
			height: 200px;
		}

		@media (--tablet-vertical-only) {
			height: 150px;
			background-size: 230px auto;
			background-position: left center;
		}

		@media (--mobile) {
			float: none;
			max-width: 280px;
			margin: 0 auto 10px;
		}

		& .card__title {
			font-size: 18px;
			margin-top: 10px;
			line-height: 20px;

			@media (--tablet-vertical-only) {
				color: #1f1f1f;
				margin-top: 0;
			}

			@media (--tablet-vertical-max) {
				margin-top: 0;
				font-size: 16px;
				line-height: 20px;
			}
		}

		& .feature__container {
			padding: 0 10px 10px;

			@media (--tablet-vertical-only) {
				padding-left: 240px;
				bottom: auto;
				top: 10px;
			}
		}
	}
}

.feature__container {
	position: absolute;
	width: 100%;
	bottom: 0;
	left: 0;
	padding: 0 20px 10px;
}

.feature-aside {
	float: left;
	width: 390px;
	margin-top: 20px;
	margin-bottom: 40px;

	@media (--tablet-horizontal-max) {
		width: 310px;
	}

	@media (--tablet-vertical-max) {
		width: 100%;
		margin-top: 10px;
	}
}

.feature__background-link {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}
